import maya.api.OpenMaya as om2
import maya.cmds as cmds

def select_crease_edges():

	selList = om2.MGlobal.getActiveSelectionList()

	if not selList:
		return

	selObj = []
	for x in range(selList.length()):
		mDag = selList.getDagPath(x)
		
		if mDag.hasFn(om2.MFn.kMesh):
			selObj.append(om2.MFnMesh(mDag))

	if selObj:
		hasCmesh = {}
		for s in selObj:
			cEdges = []
			try:
				cEdges = s.getCreaseEdges()
			except:pass
			if cEdges:
				hasCmesh[s.fullPathName()] = cEdges[0]
		if hasCmesh:
			cmds.select(["{0:}.e[{1:}]".format(k,x) for k,v in hasCmesh.items() for x in v],r=1)

select_crease_edges()